/* 
 * linker script for STM32F401CE.
 *
 * Memory layout on :
 *
 * 0x00000000 - 0x07ffffff - aliased to flash or sys memory depending on BOOT jumpers
 * 0x08000000 - 0x0807ffff - Flash (512K)
 * 0x1fff0000 - 0x1fff07ff - Boot firmware in system memory
 * 0x20000000 - 0x20017fff - SRAM (96k)
 * 0x40000000 - 0x40023400 - peripherals
 */
MEMORY
{
   flash(RX)  : ORIGIN = 0x08000000, LENGTH = 512K
   sram(WAIL) : ORIGIN = 0x20000000, LENGTH = 96K
}

SECTIONS
{
   .text : {
       *(.vectors*)
       *(.text*)
   } > flash
   .bss  : { *(.bss*) } > sram
}
